from setuptools import find_packages, setup

install_requires = [
    'numpy~=1.26.4',
    'scipy~=1.13.0',
    'tqdm~=4.66.2',
    'jax[cuda12]~=0.4.25',
    'flax~=0.8.2',
    'jraph==0.0.6.dev0',
    'pyscf~=2.4.0',
    'optax~=0.1.7',
    'seml~=0.4.6',
    'seml_logger @ git+https://github.com/n-gao/seml_logger.git#egg=seml_logger',
    'sacred~=0.8.5',
    'folx~=0.2.6',
    'tensorflow~=2.15',
    'pre-commit~=3.6.0',
    'ruff~=0.4.1',
]

setup(
    name='globe',
    version='0.1.0',
    description='Graph-learned orbital embeddings & Molecular orbital network',
    packages=find_packages('.'),
    install_requires=install_requires,
    dependency_links=[
        "https://storage.googleapis.com/jax-releases/jax_cuda_releases.html",
    ],
    zip_safe=False,
)
